# H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype Class Reference

`#include <h225.h>`

Inheritance diagram for H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype:

List of all members.

## Public Member Functions

| H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_H323_UU_PDU | m_h323pdu
PASN_Boolean | m_sent

## Constructor & Destructor Documentation

H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::GetDataLength | ( |  | ) | const

PBoolean H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::Decode | ( | PASN_Stream & | strm | ) |

void H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::Encode | ( | PASN_Stream & | strm | ) | const

void H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::Compare | ( | const PObject & | obj | ) | const

PObject* H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::Clone | ( |  | ) | const

## Member Data Documentation

H225_H323_UU_PDU H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::m_h323pdu

PASN_Boolean H225_InfoRequestResponse_perCallInfo_subtype_pdu_subtype::m_sent

The documentation for this class was generated from the following file:

- h225.h